package org.expeditee.gio.gesture.data;

public class DeleteGestureData extends ItemSpecificGestureData {
	
	private boolean _alternateMode;
	
	public DeleteGestureData(boolean alternateMode)
	{
		super(false);
		_alternateMode = alternateMode;
	}
	
	public DeleteGestureData(DeleteGestureData other)
	{
		super(other);
		_alternateMode = other._alternateMode;
	}
	
	public boolean getAlternateMode()
	{
		return _alternateMode;
	}
	
	public DeleteGestureData clone()
	{
		return new DeleteGestureData(this);
	}

}
